# Filtering

Filters can be applied on each list, update and delete request, to restrict the rows affected by the request. For a complete list of filters refer to [the PostgREST documentation](https://docs.postgrest.org/en/v14/references/api/tables_views.html#horizontal-filtering).

Listing confirmed calendar_events

```
curl -X GET "https://api.bookingmood.com/v1/calendar_events?status=eq.CONFIRMED" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

Filtering by multiple columns

```
curl -X GET "https://api.bookingmood.com/v1/calendar_events?status=eq.CONFIRMED&type=eq.booking" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

Deleting test contacts

```
curl -X DELETE "https://api.bookingmood.com/v1/contacts?email=like.%25test.com" \
  -H "Authorization: Bearer YOUR_API_KEY"
```
